{"openapi":"3.0.0","info":{"title":"AdsBillingAggregatedApiService","description":"Open API specs for AdsBillingAggregatedApiService","version":"1.0.0"},"servers":[{"url":"https"}],"paths":{"/billing/documents":{"x-amazon-advertising-package":"AdsBillingAggregatedApiSpecs","x-amazon-advertising-product":"Advertising Billing","x-amazon-advertising-stage":["beta","gamma","prod"],"get":{"x-advertising-documentation-access-control":"1p","operationId":"getBillingDocuments","tags":["Billing Documents"],"summary":"Retrieves the list of billing documents of advertising entities","parameters":[{"$ref":"#/components/parameters/API-ClientId"},{"$ref":"#/components/parameters/API-Scope"},{"$ref":"#/components/parameters/InvoiceEntities"}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetBillingDocumentsResponse"}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingErrorResponse"}}}},"401":{"description":"Unauthorized. The request failed because the user is not authenticated or is not allowed to invoke the operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingErrorResponse"}}}},"403":{"description":"Forbidden. The request failed because user does not have access to a specified resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingErrorResponse"}}}},"422":{"description":"Unprocessable entity. The server understood the request, but was unable to process the instruction.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingErrorResponse"}}}},"429":{"description":"Too Many Requests. The request was rate-limited. Retry later.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingErrorResponse"}}}},"500":{"description":"Internal Server Error. Something went wrong on the server. Retry later and report an error if unresolved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingErrorResponse"}}}}}}},"/billing/summaries":{"x-amazon-advertising-package":"AdsBillingAggregatedApiSpecs","x-amazon-advertising-product":"Advertising Billing","x-amazon-advertising-stage":["beta","gamma","prod"],"get":{"x-advertising-documentation-access-control":"1p","operationId":"getBillingSummaries","tags":["Billing Summary"],"summary":"Represents the model of summarised billing information of advertising entity","parameters":[{"$ref":"#/components/parameters/API-ClientId"},{"$ref":"#/components/parameters/API-Scope"},{"$ref":"#/components/parameters/AccountEntities"}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetBillingSummariesResponse"}}}},"400":{"description":"Bad Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingErrorResponse"}}}},"401":{"description":"Unauthorized. The request failed because the user is not authenticated or is not allowed to invoke the operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingErrorResponse"}}}},"403":{"description":"Forbidden. The request failed because user does not have access to a specified resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingErrorResponse"}}}},"422":{"description":"Unprocessable entity. The server understood the request, but was unable to process the instruction.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingErrorResponse"}}}},"429":{"description":"Too Many Requests. The request was rate-limited. Retry later.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingErrorResponse"}}}},"500":{"description":"Internal Server Error. Something went wrong on the server. Retry later and report an error if unresolved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillingErrorResponse"}}}}}}}},"components":{"parameters":{"API-ClientId":{"name":"Amazon-Advertising-API-ClientId","in":"header","description":"The identifier of a client associated with a \"Login with Amazon\" account. This is a required header for advertisers and integrators using the Advertising API.","required":true,"schema":{"type":"string"}},"API-Scope":{"name":"Amazon-Advertising-API-Scope","in":"header","description":"The identifier of a profile associated with the advertiser account. Use `GET` method on Profiles resource to list profiles associated with the access token passed in the HTTP Authorization header. This is a required header for advertisers and integrators using the Advertising API.","required":true,"schema":{"type":"string"}},"AccountEntities":{"name":"accountEntities","in":"query","description":"Represents a list of account entity identifiers.","required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"accountEntityIdentifiers":{"type":"array","items":{"$ref":"#/components/schemas/AccountEntityIdentifier"},"maxItems":10}}},"example":{"accountEntityIdentifiers":[{"accountId":"accountId","marketplaceId":"marketplaceId"}]}}}},"InvoiceEntities":{"name":"invoiceEntities","in":"query","description":"Represents a list of invoice entity identifiers.","required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"invoiceEntityIdentifiers":{"type":"array","items":{"$ref":"#/components/schemas/AccountEntityIdentifier"},"maxItems":10}}},"example":{"invoiceEntityIdentifiers":[{"accountId":"accountId","marketplaceId":"marketplaceId"}]}}}}},"schemas":{"BillingErrorResponse":{"x-amazon-advertising-package":"AdsBillingAggregatedApiSpecs","type":"object","description":"The Error Response Object.","properties":{"code":{"type":"string","description":"An enumerated error code for machine use."},"details":{"type":"string","description":"A human-readable description of the response."}}},"GetBillingSummariesResponse":{"x-amazon-advertising-package":"AdsBillingAggregatedApiSpecs","type":"object","description":"Object model of a billing summaries response","properties":{"summaries":{"type":"array","items":{"$ref":"#/components/schemas/BillingSummary"}}}},"GetBillingDocumentsResponse":{"x-amazon-advertising-package":"AdsBillingAggregatedApiSpecs","type":"object","description":"Object model of a billing documents response","properties":{"summaries":{"type":"array","items":{"$ref":"#/components/schemas/BillingDocument"}}}},"BillingDocument":{"x-amazon-advertising-package":"AdsBillingAggregatedApiSpecs","type":"object","description":"Represents the object model of a billing document","properties":{"entityIdentifier":{"$ref":"#/components/schemas/InvoiceEntityIdentifier"},"documentName":{"$ref":"#/components/schemas/BillingDocumentName"},"documentFormat":{"$ref":"#/components/schemas/BillingDocumentFormat"},"documentLink":{"type":"string"}}},"BillingSummary":{"x-amazon-advertising-package":"AdsBillingAggregatedApiSpecs","type":"object","description":"Represents the object model of a billing summary","properties":{"entityIdentifier":{"$ref":"#/components/schemas/AccountEntityIdentifier"},"totalAmountDue":{"$ref":"#/components/schemas/BillingCurrency"},"accumulatedCharges":{"$ref":"#/components/schemas/BillingCurrency"},"unpaidInvoicesCount":{"type":"number","description":"Represents the number of unpaid invoices of this advertising entity"}}},"BillingCurrency":{"x-amazon-advertising-package":"AdsBillingAggregatedApiSpecs","type":"object","properties":{"value":{"type":"number","description":"Represent the value of the currency"},"currencyCode":{"type":"string","description":"Represents a three digit country code. It follows the ISO-4217 standard","example":"USD"}}},"BillingDocumentName":{"x-amazon-advertising-package":"AdsBillingAggregatedApiSpecs","type":"string","description":"Represents the billing document name","enum":["DEPOSIT_INVOICE","INVOICE","CREDIT_MEMO","GIS_INVOICE","GIS_CREDIT_MEMO","PAYMENT_COMPLEMENT"]},"BillingDocumentFormat":{"x-amazon-advertising-package":"AdsBillingAggregatedApiSpecs","type":"string","description":"Represents the billing document format","enum":["PDF","XML"]},"InvoiceEntityIdentifier":{"x-amazon-advertising-package":"AdsBillingAggregatedApiSpecs","allOf":[{"$ref":"#/components/schemas/AccountEntityIdentifier"},{"type":"object","properties":{"invoiceId":{"type":"string","description":"Identifier of the invoice"}}}]},"AccountEntityIdentifier":{"x-amazon-advertising-package":"AdsBillingAggregatedApiSpecs","type":"object","properties":{"accountId":{"type":"string","description":"Identifier of the Amazon advertising account"},"marketplaceId":{"type":"string","description":"Identifier of the marketplace"}}}}}}